QGIS Application - Bug report #7133
GetFeaturelnfo doesn't seem work with text/html responses
2013-02-09 11:14 PM - aperi2007 -

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 16200
Description

I'm testing the new qgis-dev (commit:19f0666)

I noticed that GetFeaturelnfo requests fail on a wms server.

| tried with this wms server: http://web.regione.toscana.it/wmsraster/com.rt.wms.RTmap/wms?map=wmsambamm

and the layer: rt_ambamm.idcomuni.rt.poly

The map is correctly shown, but on a GetFeaturelnfo (identify button) it returns "no feature at this position found".

When | tried the same with qgis 1.8 it worked and showed the response that is a text/html kind response.

History

#1 - 2013-02-10 02:11 AM - Giovanni Manghi
- Priority changed from Normal to Severe/Regression

if is a regression is blocker.

#2 - 2013-02-10 03:02 AM - Jiirgen Fischer
- Priority changed from Severe/Regression to Normal

- Subject changed from GetFeaturelnfo don't seem work almost on text/html to GetFeaturelnfo doesn't seem work with text/html responses

QGIS now prefers ogr/gml responses (commit:50d4bb6d). The server advertise that format in it's capabilities, but apparently it's not configured correctly
on the server side. The response is:

Content-Type: text/xml

<?xml version="1.0' encoding="ISO-8859-1" standalone="no" ?>

<ServiceExceptionReport version="1.3.0" xmIns="http://www.opengis.net/ogc" xmins:xsi="http://www.w3.0rg/2001/XMLSchema-instance"
xsi:schemal.ocation="http://www.opengis.net/ogc http://

schemas.opengis.net/wms/1.3.0/exceptions_1_3_0.xsd">

<ServiceException>

msReturnPage(): Web application error. Malformed template name (ogrgml).

</ServiceException>

</ServiceExceptionReport>
http://web.regione.toscana.it/wmsraster/com.rt.wms.RTmap/wms?map=wmsambamm

#3 - 2013-02-10 04:47 AM - aperi2007 -

| check the log from a server wms.

Seem the qgis is doing a wrong request.

| open a more specific ticket.

#4 - 2013-02-10 05:58 AM - aperi2007 -

Hi,

| resolve the problem for the wrong wms server response.

It is explained in the ticket #7135.

It was a wrong reported GML format in the getcapabilities. The qgis-dev will use that wrong format in the request causing a wrong response.

Now this is resolved and the wms server is correctly responding.

But still qgis is not reporting nothing in a GetFeaturelnfo request.

#5 - 2013-02-10 11:49 AM - Jiirgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

aperi2007 - wrote:

But still qgis is not reporting nothing in a GetFeaturelnfo request.

QGIS now catches the service exception and reports it in the message log (commit:a98ed43b) and the detection of the xsd and gml part of the response is
improved (commit:d8952d337).
